<div  class="container margens">
  <h1>Métricas de Pedidos</h1>
  <div class="row align-right test">
    <div class="card text-white bg-blue mb-3" style="width: 17rem;">
      <div class="card-header"><strong>Número Total de Entregas</strong></div>
      <div class="card-body">
        <p class="card-text">{{metricas.numeroTotalDePedidos}}</p>
        <div class="card-footer bg-transparent">
          <p><strong><fa-icon [icon]="faBoxOpen"></fa-icon> Entregas hoje:</strong> {{metricas.numeroDePedidosHoje}}</p>
        </div>
      </div>
    </div>
    <div class="card text-white bg-blue mb-3" style="width: 17rem;">
      <div class="card-header"><strong>Distância Média de Entrega</strong></div>
      <div class="card-body">
        <p class="card-text">{{metricas.distanciaMedia}} km</p>
        <div class="card-footer bg-transparent">
          <p><strong><fa-icon [icon]="faArrowUp"></fa-icon> Maior distância:</strong> {{metricas.maiorDistancia}} km</p>
          <p><strong><fa-icon [icon]="faArrowDown"></fa-icon>  Menor distância:</strong> {{metricas.menorDistancia}} km</p>
        </div>
      </div>
    </div>
    <div class="card text-white bg-blue mb-3" style="width: 17rem;">
      <div class="card-header"><strong>Tempo Médio de Entrega</strong></div>
      <div class="card-body">
        <p class="card-text">{{metricas.tempoDeEntregaMedio}} min</p>
        <div class="card-footer bg-transparent">
          <p><strong><fa-icon [icon]="faArrowUp"></fa-icon> Maior tempo:</strong> {{metricas.maiorTempoDeEntrega}} min</p>
          <p><strong><fa-icon [icon]="faArrowDown"></fa-icon> Menor tempo:</strong> {{metricas.menorTempoDeEntrega}} min</p>
        </div>
      </div>
    </div>
  </div>
  <hr />
  <h1>Painel de Pedidos</h1>
  <div class="table-responsive">
  <table class="table table-hover">
    <thead>
      <tr>
        <th scope="col" style="width: 10%;"> <fa-icon [icon]="faBoxOpen"></fa-icon> Pedido</th>
        <th scope="col" style="width: 50%;"> <fa-icon [icon]="faMotorcycle"></fa-icon> Distância</th>
        <th scope="col" style="width: 15%;"> <fa-icon [icon]="faClock"></fa-icon> Tempo de Entrega</th>
      </tr>
    </thead>
    <tbody *ngFor="let pedido of pedidos">
      <tr>
        <th scope="row">{{pedido.id}}</th>
        <td>{{pedido.distancia}} km</td>
        <td>{{pedido.tempoDeEntrega}} min</td>
      </tr>
    </tbody>
  </table>
  <button (click)="refresh()" class="btn btn-primary primary-color-bg mt-2">
    <fa-icon [icon]="faSync"></fa-icon> Atualizar Lista
    </button>
</div>
</div>
